Get balance limits

Fetches balance limits and send the created UUID along with the data

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program Id
bdidstringRequiredformat: "uuid"
Balance Definition Id
blidstringRequiredformat: "uuid"
Balance Limit Id

Query parameters

versionenumOptionalDefaults to draft
Version
Allowed values:

Response

Successful retrieval of balance limit
idstringOptionalformat: "uuid"
Unique identifier for the balance limit.
balanceDefinitionIdstringOptionalformat: "uuid"
Balance definition ID.
transactionTypeenumOptional
Specifies whether the limit applies to credit or debit transactions.
constraintTypeenumOptional

Defines the type of constraint (transaction count or amount).

durationValueintegerOptional
Number of time units the balance limit applies to.
durationUnitenumOptional
Time unit for the balance limit.
valuedoubleOptional
The maximum allowed value for the defined constraint.
slidingSchedulebooleanOptional
Indicates if the limit resets periodically based on a sliding schedule.
createdAtdatetimeOptional
Timestamp of when the balance limit was created.
updatedAtdatetimeOptional
Timestamp of the last update to the balance limit.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error